import { ICDNService } from './ICDNService';
export interface ICloudFrontSettings {
    accessKeyID: string;
    secretAccessKey: string;
    distributionID: string;
}
export declare class CloudFront implements ICDNService {
    private readonly cf;
    private readonly distributionID;
    constructor(settings: ICloudFrontSettings);
    invalidate(...keys: string[]): Promise<void>;
}
