import { ICDNService } from '../CDNService/ICDNService';
import { IStorageService } from '../StorageService/IStorageService';
import { IDiffResult } from './diff';
export interface ISyncSettings {
    directory: string;
    prefix?: string;
    storageService: IStorageService;
    CDNService: ICDNService;
    diff: IDiffResult;
}
export declare const sync: ({ directory, prefix, storageService, CDNService, diff, }: ISyncSettings) => Promise<void>;
