import { ICDNService } from './ICDNService';
export interface ICloudflareSettings {
    zoneID: string;
    site: string;
    email: string;
    globalAPIKey: string;
}
export declare class Cloudflare implements ICDNService {
    private readonly zoneID;
    private readonly site;
    private readonly email;
    private readonly globalAPIKey;
    constructor(settings: ICloudflareSettings);
    invalidate(...keys: string[]): Promise<void>;
    private _invalidateBatch;
}
