import { IStorageService } from '../main';
import { FilesList } from './common';
export interface IDiffSettings {
    directory: string;
    prefix?: string;
    storageService: IStorageService;
    directoryIndex?: string;
}
export interface IDiffResult {
    localHashes: Map<string, string>;
    extraRemote: FilesList;
    missingRemote: FilesList;
    differentRemote: FilesList;
    changedPaths: string[];
}
export declare const diff: ({ directory, prefix, storageService, directoryIndex, }: IDiffSettings) => Promise<IDiffResult>;
