"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const read_1 = __importDefault(require("read"));
exports.ask = (question) => {
    return new Promise((resolve, reject) => {
        read_1.default({
            prompt: question,
        }, (err, answer) => {
            if (err) {
                reject(err);
                return;
            }
            resolve(answer);
        });
    });
};
